Package org.optaplanner.core.impl

## Class AbstractFromConfigFactory<Solution_,​Config_ extends AbstractConfig<Config_>>

- java.lang.Object
- - org.optaplanner.core.impl.AbstractFromConfigFactory<Solution_,​Config_>

- Direct Known Subclasses:
    `AbstractSelectorFactory`, `PooledEntityPlacerFactory`, `QueuedEntityPlacerFactory`, `QueuedValuePlacerFactory`

      public abstract class AbstractFromConfigFactory<Solution_,​Config_ extends AbstractConfig<Config_>>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Config_` | `config` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractFromConfigFactory​(Config_ config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected EntityDescriptor<Solution_>` | `deduceEntityDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor)` |
    `protected EntityDescriptor<Solution_>` | `deduceEntityDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor, Class<?> entityClass)` |
    `protected GenuineVariableDescriptor<Solution_>` | `deduceVariableDescriptor​(EntityDescriptor<Solution_> entityDescriptor)` |
    `protected GenuineVariableDescriptor<Solution_>` | `deduceVariableDescriptor​(EntityDescriptor<Solution_> entityDescriptor, String variableName)` |
    `protected List<GenuineVariableDescriptor<Solution_>>` | `deduceVariableDescriptorList​(EntityDescriptor<Solution_> entityDescriptor, List<String> variableNameIncludeList)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected final Config_ extends AbstractConfig<Config_> config

  - ### Constructor Detail

    - #### AbstractFromConfigFactory

          public AbstractFromConfigFactory​(Config_ config)

  - ### Method Detail

    - #### deduceEntityDescriptor

          protected EntityDescriptor<Solution_> deduceEntityDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor,
                                                                       Class<?> entityClass)

    - #### deduceEntityDescriptor

          protected EntityDescriptor<Solution_> deduceEntityDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor)

    - #### deduceVariableDescriptor

          protected GenuineVariableDescriptor<Solution_> deduceVariableDescriptor​(EntityDescriptor<Solution_> entityDescriptor,
                                                                                  String variableName)

    - #### deduceVariableDescriptor

          protected GenuineVariableDescriptor<Solution_> deduceVariableDescriptor​(EntityDescriptor<Solution_> entityDescriptor)

    - #### deduceVariableDescriptorList

          protected List<GenuineVariableDescriptor<Solution_>> deduceVariableDescriptorList​(EntityDescriptor<Solution_> entityDescriptor,
                                                                                            List<String> variableNameIncludeList)